This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 697110

Summary: (cov#10757) Remove unused variable in psetRootModAttrList()
Product: [Fedora] Fedora Reporter: Nathan Kinder <nkinder>
Component: 389-adminutilAssignee: Nathan Kinder <nkinder>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: medium    
Version: 19CC: amsharma, nhosoi, nkinder, rmeggins
Target Milestone: ---Keywords: screened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-18 06:20:17 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 434915    
Attachments:
Description Flags
Patch for cov#10757 nkinder: review?, rmeggins: review+

Description Nathan Kinder 2011-04-15 16:59:58 EDT
The "partial" variable in psetRootModAttrList() will never be set to anything other than 0.  This variable should be removed along with the if conditions that check if it is set.
Comment 1 Nathan Kinder 2011-04-15 17:01:46 EDT
Created attachment 492506 [details]
Patch for cov#10757
Comment 2 Nathan Kinder 2011-04-15 17:26:39 EDT
Pushed to master.  Thanks to Rich for his review!

Counting objects: 16, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (10/10), done.
Writing objects: 100% (10/10), 1.14 KiB, done.
Total 10 (delta 7), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/adminutil.git
   ba20398..f20dc1b  master -> master
Comment 5 Fedora Update System 2011-06-21 15:52:44 EDT
389-adminutil-1.1.14-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/389-adminutil-1.1.14-1.fc15
Comment 6 Fedora Update System 2011-06-21 15:54:00 EDT
389-adminutil-1.1.14-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/389-adminutil-1.1.14-1.fc14
Comment 7 Fedora Update System 2011-06-21 16:06:29 EDT
389-adminutil-1.1.14-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/389-adminutil-1.1.14-1.fc13
Comment 8 Fedora Update System 2011-06-21 16:07:51 EDT
389-adminutil-1.1.14-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/389-adminutil-1.1.14-1.el5
Comment 9 Fedora Update System 2011-09-08 02:59:24 EDT
389-adminutil-1.1.14-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2011-09-08 03:00:51 EDT
389-adminutil-1.1.14-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2011-09-08 20:01:33 EDT
389-adminutil-1.1.14-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Amita Sharma 2011-11-30 04:41:12 EST
Need to be verified by dev as co-verity issue.
Thanks,
Amita
Comment 14 Fedora End Of Life 2013-04-03 16:41:47 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 15 Fedora End Of Life 2015-01-09 17:41:18 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2015-02-18 06:20:17 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.